<?php

declare(strict_types=1);

namespace Dedi\SyliusCmsPlugin\Form\Type\UiElement;

use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\RichEditorType;
use Symfony\Component\Form\FormBuilderInterface;

class ThumbnailType extends AbstractUiElementType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('thumbnail', BannerType::class)
            ->add('description', RichEditorType::class, [
                    'tags' => ['elements', 'blocks'],
            ])
        ;

        $builder->get('thumbnail')->remove('width');
    }
}
